org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertySectionRegistry

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertySectionRegistry

All Implemented Interfaces:
  IItemRegistry

    public class LegacyPropertySectionRegistry
    extends java.lang.Object
    implements IItemRegistry

The registry used to track the descriptors of the property section extension.

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertySectionRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IItemDescriptor` `add(IItemDescriptor descriptor)` Adds the given `IItemDescriptor` to the registry.
`void` `clear()` Clears the registry.
`java.util.List<IEEFSectionDescriptor>` `getPropertySections(java.lang.String contributorId, java.lang.String tabId)` Get the property sections.
`boolean` `remove(java.lang.String id)` Removes the `IItemDescriptor` with the given identifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyPropertySectionRegistry

    public LegacyPropertySectionRegistry()

### Method Detail

#### getPropertySections

    public java.util.List<IEEFSectionDescriptor> getPropertySections(java.lang.String contributorId,
                                                                     java.lang.String tabId)

Get the property sections.

Parameters:
  `contributorId` - The contributor Id
  `tabId` - Id of the tab for which we should get the sections
Returns:
  List of sections

#### add

    public IItemDescriptor add(IItemDescriptor descriptor)

Adds the given `IItemDescriptor` to the registry.

Specified by:
  `add` in interface `IItemRegistry`
Parameters:
  `descriptor` - The descriptor
Returns:
  The previous `IItemDescriptor` with the same identifier, or null if no registered `IItemDescriptor` had the same identifier
See Also:
  `IItemRegistry.add(IItemDescriptor)`

#### remove

    public boolean remove(java.lang.String id)

Removes the `IItemDescriptor` with the given identifier.

Specified by:
  `remove` in interface `IItemRegistry`
Parameters:
  `id` - The identifier
Returns:
  True if the element was removed, otherwise false
See Also:
  `IItemRegistry.remove(String)`

#### clear

    public void clear()

Clears the registry.

Specified by:
  `clear` in interface `IItemRegistry`
See Also:
  `IItemRegistry.clear()`